SchemaDescription
Keywords: uk.ac.ic.doc.automed.p2p.directory.SchemaDescription class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.p2p.directory
Class SchemaDescription

    java.lang.Object
      uk.ac.ic.doc.automed.p2p.directory.SchemaDescription

All Implemented Interfaces:
  P2PDirectoryObject

    public class SchemaDescription

extends java.lang.Object
implements P2PDirectoryObject

Field Summary
`java.lang.String` | `description`
`java.lang.String` | `name`
`java.lang.String` | `structure`

Constructor Summary
`SchemaDescription(java.util.Map values)`
`SchemaDescription(java.lang.String name, java.lang.String description, java.lang.String structure)`
`SchemaDescription(java.lang.String name, java.lang.String description, java.lang.String structure, java.lang.String status, java.lang.String lastUpdate)`

Method Summary
`static java.util.List` | `convertIntoObjects(java.util.List rows)`
`static SchemaDescription` | `createFrom(java.util.List data, java.util.List metadata)`
`boolean` | `equals(java.lang.Object o)`
`java.lang.String` | `getAgeTime()` Calculate the schema's age time from last update time value
`java.util.List` | `getAsList()`
`java.lang.String` | `getDescription()` Get the plain text description of the public Schema being described.
`java.util.List` | `getMetaData()`
`java.lang.String` | `getName()` Get the name of the public Schmea being described.
`java.lang.String` | `getStatus()` Getter for status
`int` | `hashCode()`
`boolean` | `persist()`
`java.lang.String` | `toString(java.lang.Object o)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    public java.lang.String name

### description

    public java.lang.String description

### structure

    public java.lang.String structure

Constructor Detail

### SchemaDescription

    public SchemaDescription(java.lang.String name,
                             java.lang.String description,
                             java.lang.String structure)

### SchemaDescription

    public SchemaDescription(java.lang.String name,
                             java.lang.String description,
                             java.lang.String structure,
                             java.lang.String status,
                             java.lang.String lastUpdate)

### SchemaDescription

    public SchemaDescription(java.util.Map values)

Method Detail

### getName

    public java.lang.String getName()

  Get the name of the public Schmea being described. This should be unique accross the whole P2P network.

### getDescription

    public java.lang.String getDescription()

  Get the plain text description of the public Schema being described.

### getStatus

    public java.lang.String getStatus()

  Getter for status

  Returns:
    `String` the schema status dmle 2/11/2005

### getAgeTime

    public java.lang.String getAgeTime()

  Calculate the schema's age time from last update time value

  Returns:
    `String` represented as a clock hh:mi:se indicating age time

### toString

    public java.lang.String toString(java.lang.Object o)

### persist

    public boolean persist()
                    throws java.sql.SQLException

  Specified by:
    `persist` in interface `P2PDirectoryObject`
  Throws:
    `java.sql.SQLException`

### convertIntoObjects

    public static java.util.List convertIntoObjects(java.util.List rows)
                                             throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getAsList

    public java.util.List getAsList()

  Specified by:
    `getAsList` in interface `P2PDirectoryObject`

### getMetaData

    public java.util.List getMetaData()

  Specified by:
    `getMetaData` in interface `P2PDirectoryObject`

### createFrom

    public static SchemaDescription createFrom(java.util.List data,
                                               java.util.List metadata)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD